import pygame as pg
pg.init()  # inicijalizujemo rad biblioteke PyGame

pg.display.set_caption("Zvezda")  # otvaramo prozor
(sirina, visina) = (200, 189)
prozor = pg.display.set_mode((sirina, visina))

zvezda_slika = pg.image.load("zvezda.png")  # slika zvezde
treba_crtati = True  # da li treba crtati zvezdu

def crtaj():
    prozor.fill(pg.Color("white"))             # bojimo pozadinu u belo
    if treba_crtati:             # crtamo zvezdu ako je to potrebno
        prozor.blit(zvezda_slika, (0, 0))

def novi_frejm():
    global treba_crtati
    treba_crtati = not treba_crtati       # negiramo vrednost treba_crtati

kraj = False
sat = pg.time.Clock()  # sat koji određuje broj frejmova u sekundi
while not kraj:
    # crtamo i ažuriramo sadržaj prozora
    crtaj()
    pg.display.update()

    # proveravamo da li je korisnik isključio prozor
    for dogadjaj in pg.event.get():
        if dogadjaj.type == pg.QUIT:
            kraj = True

    # pauziramo do sledeceg frejma
    sat.tick(2)
    novi_frejm()

pg.quit() # isključujemo rad biblioteke PyGame

